Bug 18378 - shutdown in usermod
Summary: shutdown in usermod
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: usermode   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-05 03:41 UTC by Need Real Name
Modified: 2013-07-02 22:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 10:34:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-05 03:41:40 UTC
shutdown that comes with usermod still allows any user to shutdown a
system? 
Fixed in other RH version but it still in RH7.0 , so is this a bug or a
feature?

Comment 1 Nalin Dahyabhai 2000-10-05 18:28:42 UTC
Are these users logged in at the console when they shut the machine down?  If
so, then it is working as designed (given shutdown and a power switch, shutdown
is preferable).  If the user is not logged in at the console and can shut the
machine down, it is a security bug.

Comment 2 Jindrich Novy 2004-09-16 10:34:41 UTC
[anyuser@machine anyuser]$ shutdown
shutdown: you must be root to do that!

Closing this.

cheers,
Jindrich


Note You need to log in before you can comment on or make changes to this bug.